<?php
//EPIRENT CONNECTION EINSTELLUNGEN//
define('Epirent_Server', 'xxx');
define('Epirent_Connectionprotocol', 'http');
define('Epirent_Port', '8080');
define('Epirent_Token', 'xxx');
define('Epirent_Mandant', '0'); //NORMALERWEISE 0

//CREWBRAIN CONNECTION EINSTELLUNGEN-NUR AUSFÜLLEN WENN GEWÜNSCHT//
define('CrewBrain_Username', 'xxx');
define('CrewBrain_password', 'xxx');
define('CrewBrain_Server', 'xxx.crewbrain.com');
define('CrewBrain_Connectionprotocol', 'https');
define('CrewBrain_TaskListID', 6);

//CREWBRAIN SPEZIFISCHE EINSTELLUNGEN (AUFGABENLISTE)//
define('Enable_QR_Code_CrewBrainAufgaben', true);

//EPIRENT SPEZIFISCHE EINSTELLUNGEN (CHECK IN & CHECK OUT)
define('Enable_QR_Code_CheckOut', false); //Zeigt statt der Packscheinnummer einen Scanbaren QR Code für den CheckOut an
define('Enable_QR_Code_CheckIn', false); //Zeigt statt der Packscheinnummer einen Scanbaren QR Code für den CheckIn an
define('Vorbereitungs_Zeitvariable', 'Packen'); //Name des zu verwendenden Zeitabschnitts, der Zusätzlich zur DispoZeit beim Check Out Angezeigt werden soll
define('Nachbereitung_Zeitvariable', 'Rückpacken'); //Name des zu verwendenden Zeitabschnitts, der Zusätzlich zur DispoZeit beim Check In Angezeigt werden soll
define('Rückpacken_Zeitvariable', 'Rückpacken');

/** -------------------- Row-Marking: Konfig Zusände --------------------
 * 1 = $packingjob->date_start (Dispo Start)
 * 2 = $VorbereitungsTimeDetail->date_start (Vorbereitung Start)
 * 3 = $PackingNoteDetail->date_packing (Packen Zeit)
 * 4 = $PackingNoteDetail->date_delivery (Delivery Zeit)
 */
define('CheckOutRowMarkSource', 4);

/** -------------------- Row-Marking: Konfig Zusände --------------------
 * 1 = $packingjob->date_end (Dispo Ende)
 * 2 = $NachbereitungssTimeDetail->date_start (Nachbereitung Start)
 * 3 = $RePackagingTimeDetail->date_start (Rückpacken Zeit AUS AUFTRAG)
 * 4 = $PackingNoteDetail->date_redelivery (ReDelivery Zeit)
 */
define('CheckInRowMarkSource', 4);

define('CheckIn_UseDispoEndForRowMarking', false); //else: Use Same Variable as "Rueckpacken Zeitvariable" | Konfiguration, welche Zeit für die Zeilenmarkierung beim Check In Verwendet werden soll

define('ShowCheckoutTimeOnCheckout', true);
define('ShowVorbereitungTimeOnCheckout', true);
define('ShowPackagingTimeOnCheckout', true);
define('ShowDeliveryTimeOnCheckout', true);
define('ShowTimesOnCheckout', true);

define('ShowCheckInTimeOnCheckin', true);
define('ShowNachbereitungTimeOnCheckin', true);
define('ShowRePackagingTimeOnCheckin', true);
define('ShowReDeliveryTimeOnCheckin', true);
define('ShowTimesOnCheckin', true);

define('ShowShippingIcons', true); //Zeigt Lieferung / Rücklieferungs Icons an
define('KurierContainsText', 'Kurier'); //Text, der in der Versandart enthalten sein muss (enthält), damit diese als KURIER erkannt wird.
define('SpeditionContainsText', 'Spedition'); //Text, der in der Versandart enthalten sein muss (enthält), damit diese als SPEDITION erkannt wird.
define('DHLContainsText', 'DHL'); //Text, der in der Versandart enthalten sein muss (enthält), damit diese als DHL erkannt wird.
define('LKWContainsText', 'LKW'); //Text, der in der Versandart enthalten sein muss (enthält), damit diese als eigener LKW erkannt wird.
define('TransporterContainsText', 'Sprinter'); //Text, der in der Versandart enthalten sein muss (enthält), damit diese als eigener Transporter erkannt wird.
define('PKWContainsText', 'PKW'); //Text, der in der Versandart enthalten sein muss (enthält), damit diese als eigener PKW erkannt wird.

define('UseShippingStatus', true); //Nutzt den Packscheinstatus als Shipping Status. Hierdurch können die Icons unter verschiedenen Vorraussetzungen Grün werden, wenn der Versand organisiert wurde
define('ShippingOutOrganizedStatus', 'Hinversand OK'); //Packschein Status (EpirentDropdown) der Gematcht werden muss, dass der Hinversand Organisiert / Bestellt wurde
define('ShippingInOrganizedStatus', 'Rückversand OK'); //Packschein Status (EpirentDropdown) der Gematcht werden muss, dass der Rückversand Organisiert / Bestellt wurde
define('ShippingOrganizedStatus', 'Versand OK'); //Packschein Status (EpirentDropdown) der Gematcht werden muss, dass der komplette Versand Organisiert / Bestellt wurde

define('UseDeliveredForCheckOutCompleted', true); //Nutzt statt dem erfolgreichen abschließen eines Packscheins durch ausbuchen das erfolgreiche Liefern (Geliefert != 00.00.00)

define('CheckOut_FutureDays', -1); // Konfiguration, wie viele Tage in der Zukunft der CheckOut angezeigt werden soll. '-1' zeigt alle an. Abhängig von der Variablen CheckOut_UseDispoStartForRowMarking
define('CheckIn_FutureDays', -1); // Konfiguration, wie viele Tage in der Zukunft der CheckIn angezeigt werden soll. '-1' zeigt alle an. Abhängig von der Variablen CheckIn_UseDispoEndForRowMarking
define('SortCheckOut', 2); // Konfiguration, welcher Datensatz für die Sortierung Verwendet werden soll. Möglichkeiten '1': Packscheinnummer / '2': Dispostart 
define('SortCheckIn', 2); // Konfiguration, welcher Datensatz für die Sortierung Verwendet werden soll. Möglichkeiten '1': Packscheinnummer / '2': Dispoende 

        ?>
